org.apache.commons.math.linear

## Interface SparseRealMatrix

- All Superinterfaces:
    AnyMatrix, RealMatrix
  All Known Implementing Classes:
    OpenMapRealMatrix

      public interface SparseRealMatrix
      extends RealMatrix

  Marker interface for `RealMatrix` implementations that require sparse backing storage
  Since:
    2.0
  Version:
    $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

- - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.math.linear.RealMatrix

      `add, addToEntry, copy, copySubMatrix, copySubMatrix, createMatrix, getColumn, getColumnMatrix, getColumnVector, getData, getDeterminant, getEntry, getFrobeniusNorm, getNorm, getRow, getRowMatrix, getRowVector, getSubMatrix, getSubMatrix, getTrace, inverse, isSingular, multiply, multiplyEntry, operate, operate, preMultiply, preMultiply, preMultiply, scalarAdd, scalarMultiply, setColumn, setColumnMatrix, setColumnVector, setEntry, setRow, setRowMatrix, setRowVector, setSubMatrix, solve, solve, subtract, transpose, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder`

    - ### Methods inherited from interface org.apache.commons.math.linear.AnyMatrix

      `getColumnDimension, getRowDimension, isSquare`

Copyright (c) 2003-2013 Apache Software Foundation